% class SA_Image
% A class that holds an rgb image (MxNx3 uint8 Matrix) and provides
% functionality to access the fields

function Image = SA_Image(SrcMatrix);
% Default constructor.
if nargin<1 
   error('Too less arguments.');
end
% One output argument must be supplied.
if nargout~=1
   error('One output argument is expected.')
end

im_size = size(SrcMatrix);

Image.img = SrcMatrix;
Image.x = im_size(1);
Image.y = im_size(2);
Image = class(Image,'SA_Image');