% sets the color at the position x,y in the Image.

function Image = set(Image,x,y,color);
if nargin<4 
   error('Too less arguments.');
end

if (x>=1) && (x<=Image.x) % x valid
    if (y>=1) && (y<=Image.y) % y valid
        Image.img(x,y,:) = color;   
    else
        % warning('Parameter y is outside of the Image bounds. Image not changed!');
    end
else
    % warning('Parameter x is outside of the Image bounds. Image not changed!');
end
