% returns the number of elements in the VectorArray. If the index parameter
% is given, then the size of the vector at index is returned

function s = size(VecArr, index);

if (nargin == 0)
    error('Too less input parameter.');
end


if (nargin == 1)
    s = VecArr.size;
end

if (nargin == 2)
    if (index > VecArr.size) 
        error('Index parameter is bigger than the number of elements.');
    else
        s = VecArr.indexArray(index+1) - VecArr.indexArray(index);
    end
end