%this function thakes a path as input and parses the under that adress
%contained file 'final_results.dat'. The function returns a VectorArray
%containing the names of the files that are found under the specified path

function FileList = D_parseNameFile(Path);

FileList = SA_VectorArray;

% red is redundant data
% m, kappa and number are used to assemble the file names
[red1, red2, m, red3, kappa, red4, number, red5] = textread([Path,'final_results.dat'],'%s %s %s %s %s %s %s %s');

for (i=1:size(m,1))
    file = ['FullSeg_', char(m(i)), '_', char(kappa(i)), '_', char(number(i)), '.ppm'];
    FileList = insert(FileList, file');
end