% extract information strings from Image using EdgeImg and GreyImg
% EdgeSumStr: the string information along the boundaries using EdgeSum
% image
%
% EdgeSumStr: the string information along the boundaries using EdgeSum img
% GreyValStr: the string information along the boundaries using Grey SegImg


function Boundaries = SA_extract2(Boundaries);

% postprocess boundaries
fprintf('postprocessing boundaries....\n');
Boundaries = sort(Boundaries); % sort boundaries from the longest to the smallest
Boundaries = removeSmallerThan(Boundaries, 100); % remove to short boundaries
Boundaries = SA_prepareBoundaries(Boundaries, 5, size(SA_Image(imread('trainingset/stopsign/image_0007.ppm')))); % remove unwanted stuff
Boundaries = keepFirst(Boundaries, 3); % removes all boundaries that are not the 4 largest
Boundaries = SA_extendBoundaries(Boundaries, 0.1); % extend by 10%
