function RotVec = rearrange(Vector);
if (size(Vector,1) > 1)
    % find index of first max(y) in Vector
    [value,index] = max(Vector(:,2))

    % index is the first row
    if (index == 1)
        RotVec = Vector;
    
    % index is at the end
    elseif (index == size(Vector,1))
        RotVec = [Vector(end,:);Vector(1:end-1,:)];
    
    % normal case    
    else 
        RotVec = [Vector(index:end,:);Vector(1:index-1,:)];  
    end
else % size(Vector,1) <= 1
    RotVec = Vector;
end
% end rearrange