% returns the rgb vector of the image at (x,y). Returns (0,0,0) for
% positions outside of the matix dimensions

function color = get(Image, x, y);
if nargin<3 
   error('Too less arguments.');
end
color = zeros(1,size(Image,3));
if (x>=1) && (x<=Image.x) % x valid
    if (y>=1) && (y<=Image.y) % y valid
        color = [];
        for (i=1:size(Image.img,3))
            color = [color, Image.img(x,y,i)];
        end
    end
end