% class SA_VectorArray
% SA_VectorArray implements a dynamic list of 2xN Matrices (2D "Vector Lists")

function VecArr = SA_VectorArray;
% Default constructor

% One output argument must be supplied.
if nargout~=1
   error('One output argument is expected.');
end

% one list, that holds all vector lists after each other
VecArr.stack = [[]];

% an array that maps the indices to the start postition of the lists in the
% stack (end shows to the first free position)
VecArr.indexArray = 1;

% number of the elements in the list
VecArr.size = 0;

VecArr = class(VecArr, 'SA_VectorArray');