% returns the vector with index i. If index is not specified it returns the
% whole stack

function s = get(VecArr, index);
if nargin == 1 % print whole stack 
   s = VecArr.stack;
else 
    if (index <= VecArr.size) % print i-th list in stack
        s = VecArr.stack(VecArr.indexArray(index):VecArr.indexArray(index+1)-1,:);
    else
        warning('Index bigger than list size.');
    end
end