% pushes the list VectorList on the stack and updates the sorted indices
% array

function VecArr = insert(VecArr,VectorList);
if nargin<2 
   error('Too less arguments.');
end
% One output argument must be supplied.
if nargout~=1
   error('One output argument is expected.')
end

% push list on stack
VecArr.stack = [VecArr.stack; VectorList];
VecArr.indexArray = [VecArr.indexArray; size(VecArr.stack,1)+1]; 
VecArr.size = VecArr.size + 1;


