% function that reads in thest images to adjust alignment

function ReadAlignTestData;

% read images anchor
A1I = SA_Image(imread('trainingset/anchor/image_0001-RESULTS/FullSeg_2_1.2_1.ppm'));
A1I_e = SA_Image(imread('trainingset/anchor/image_0001-RESULTS/edgeImage_sum2.ppm'));

A2I = SA_Image(imread('trainingset/anchor/image_0004-RESULTS/FullSeg_2_0.8_20.ppm'));
A2I_e = SA_Image(imread('trainingset/anchor/image_0004-RESULTS/edgeImage_sum2.ppm'));

A3I = SA_Image(imread('trainingset/anchor/image_0003-RESULTS/FullSeg_2_0.8_6.ppm'));
A3I_e = SA_Image(imread('trainingset/anchor/image_0003-RESULTS/edgeImage_sum2.ppm'));

A4I = SA_Image(imread('trainingset/anchor/image_0010-RESULTS/FullSeg_2_0.8_0.ppm'));
A4I_e = SA_Image(imread('trainingset/anchor/image_0010-RESULTS/edgeImage_sum2.ppm'));


[BA1, SA1] = SA_extract(A1I, A1I_e);
[BA2, SA2] = SA_extract(A2I, A2I_e);
[BA3, SA3] = SA_extract(A3I, A3I_e);
[BA4, SA4] = SA_extract(A4I, A4I_e);

save(BA1,'BA1'); save(SA1,'SA1');
save(BA2,'BA2'); save(SA2,'SA2');
save(BA3,'BA3'); save(SA3,'SA3');
save(BA4,'BA4'); save(SA4,'SA4');



% read images stopsign
%A1I = SA_Image(imread('trainingset/stopsign/image_0001-RESULTS/FullSeg_2_0.8_22.ppm'));
%A1I_e = SA_Image(imread('trainingset/stopsign/image_0001-RESULTS/edgeImage_sum2.ppm'));

%A2I = SA_Image(imread('trainingset/stopsign/image_0004-RESULTS/FullSeg_2_0.8_19.ppm'));
%A2I_e = SA_Image(imread('trainingset/stopsign/image_0004-RESULTS/edgeImage_sum2.ppm'));

%A3I = SA_Image(imread('trainingset/stopsign/image_0003-RESULTS/FullSeg_2_0.8_11.ppm'));
%A3I_e = SA_Image(imread('trainingset/stopsign/image_0003-RESULTS/edgeImage_sum2.ppm'));

%A4I = SA_Image(imread('trainingset/stopsign/image_0010-RESULTS/FullSeg_2_0.8_20.ppm'));
%A4I_e = SA_Image(imread('trainingset/stopsign/image_0010-RESULTS/edgeImage_sum2.ppm'));


%[BA1, SA1] = SA_extract(A1I, A1I_e);
%[BA2, SA2] = SA_extract(A2I, A2I_e);
%[BA3, SA3] = SA_extract(A3I, A3I_e);
%[BA4, SA4] = SA_extract(A4I, A4I_e);

%save(BA1,'BS1'); save(SA1,'SS1');
%save(BA2,'BS2'); save(SA2,'SS2');
%save(BA3,'BS3'); save(SA3,'SS3');
%save(BA4,'BS4'); save(SA4,'SS4');