% computes the angle of the vector [x,y] to the x axis counterclockwise

function angle = SA_getAngle(vec);
len = sqrt(vec(1)^2 + vec(2)^2);
if (len == 0)
    angle = 0;
else
    vec = vec ./ len;
    angle = rad2deg(asin(vec(2)));
    if (vec(1)>0) % right halve
        if (angle < 0)
            angle = 360+angle;
        end
    else % vec(1) < 0
        angle = 180 - angle;
    end
end